Create feed (v1)
https://api.casafari.com/api/v1/listing-alerts/feedsSend Authorization: Bearer $CASAFARI_TOKEN; see how to get a token.
Over MCP: no tool does this. MCP and REST compared.
Description
Create alerts feed for currently authenticated user.
Feed is a predefined set of conditions to filter alerts by.
The id of created feed then should be used as URL parameter for
get alerts by feed endpoint
to get alerts filtered by feed filter conditions.
Request body
Content type application/json. Optional. Type: object.
namestringrequiredfilterobjectrequired50 properties
operationstringrequiredsale rentlocation_idsinteger[]custom_locationobject[]custom_locations field instead.2 properties
latitudenumberrequiredlongitudenumberrequiredcustom_locationsobject[][]2 properties
latitudenumberrequiredlongitudenumberrequiredtypesstring[]40 allowed values
apartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_buildingconditionsstring[]used ruin very-good new otheralert_date_fromstring (date)YYYY-MM-DD) of the period for alerts of interest.alert_date_tostring (date)YYYY-MM-DD) of the period for alerts of interest.created_at_fromstring (date-time)YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_tostring (date-time)YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_with_photos_fromstring (date-time)created_at_with_photos_tostring (date-time)statusesstring[]active reserved hold sold rentedprice_fromintegerprice_tointegerprice_per_sqm_fromintegerprice_per_sqm_tointegerbedrooms_fromintegerbedrooms_tointegerbathrooms_fromintegerbathrooms_tointegertotal_area_fromintegertotal_area_tointegerplot_area_fromintegerplot_area_tointegerconstruction_year_fromintegerconstruction_year_tointegerfloorstringfloors field instead.no_floor ground middle topfloorsstring[]no_floor ground middle toporientationstringexterior interiorviewstringviews field instead.water landscape city golf parkviewsstring[]water landscape city golf parkdirectionstringdirections field instead.north south east westdirectionsstring[]north south east westcharacteristicsstring[]balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityalert_subtypesstring[]new price_up price_down reserved delisted soldprivatebooleanauctionbooleanbankbooleannew_developmentbooleanlisting_agentsstring[]with_agenciesstring[]without_agenciesstring[]exclusivebooleanprivate, with_agencies, without_agencies.ref_numbersstring[]has_phonebooleanphone number.has_emailbooleanhas_agency_namebooleanproperty_idsinteger[]listing_idsinteger[]Example request
Placeholders only: replace the token and the values with your own.
curl -X POST "https://api.casafari.com/api/v1/listing-alerts/feeds" \
-H "Authorization: Bearer $CASAFARI_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Apartments for sale in Cascais, Oeiras, Lisbon",
"filter": {
"operation": "sale",
"types": [
"apartment",
"studio",
"duplex",
"penthouse"
],
"location_ids": [
2942,
1861,
1600
],
"conditions": [
"used",
"very-good",
"new"
],
"statuses": [
"active",
"reserved"
],
"price_from": 150000,
"price_to": 800000,
"price_per_sqm_from": 2000,
"price_per_sqm_to": 8000,
"bedrooms_from": 1,
"bedrooms_to": 3,
"total_area_from": 30,
"total_area_to": 130,
"construction_year_from": 1950,
"floors": [
"middle",
"top"
],
"views": [
"city"
],
"directions": [
"west",
"south"
],
"characteristics": [
"balcony",
"elevator",
"parking"
],
"private": false,
"new_development": false,
"has_agency_name": true,
"has_email": false,
"without_agencies": [
"Airbnb",
"Casa.Sapo"
]
}
}'Responses
201 Created
Type: object.
Show the response shape (58 fields)
idintegernamestringrequiredfilterobjectrequired50 properties
operationstringrequiredsale rentlocation_idsinteger[]custom_locationobject[]custom_locations field instead.2 properties
latitudenumberrequiredlongitudenumberrequiredcustom_locationsobject[][]2 properties
latitudenumberrequiredlongitudenumberrequiredtypesstring[]40 allowed values
apartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel other_commercial restaurant werkstatt plot urban_plot rural_plot room other garage parking apartment_building office_building mix_use_buildingconditionsstring[]used ruin very-good new otheralert_date_fromstring (date)YYYY-MM-DD) of the period for alerts of interest.alert_date_tostring (date)YYYY-MM-DD) of the period for alerts of interest.created_at_fromstring (date-time)YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_tostring (date-time)YYYY-MM-DDTHH:mm:ss) to filter alerts by their creation in the database (UTC). Useful for incremental sync to avoid fetching already fetched data.created_at_with_photos_fromstring (date-time)created_at_with_photos_tostring (date-time)statusesstring[]active reserved hold sold rentedprice_fromintegerprice_tointegerprice_per_sqm_fromintegerprice_per_sqm_tointegerbedrooms_fromintegerbedrooms_tointegerbathrooms_fromintegerbathrooms_tointegertotal_area_fromintegertotal_area_tointegerplot_area_fromintegerplot_area_tointegerconstruction_year_fromintegerconstruction_year_tointegerfloorstringfloors field instead.no_floor ground middle topfloorsstring[]no_floor ground middle toporientationstringexterior interiorviewstringviews field instead.water landscape city golf parkviewsstring[]water landscape city golf parkdirectionstringdirections field instead.north south east westdirectionsstring[]north south east westcharacteristicsstring[]balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuityalert_subtypesstring[]new price_up price_down reserved delisted soldprivatebooleanauctionbooleanbankbooleannew_developmentbooleanlisting_agentsstring[]with_agenciesstring[]without_agenciesstring[]exclusivebooleanprivate, with_agencies, without_agencies.ref_numbersstring[]has_phonebooleanphone number.has_emailbooleanhas_agency_namebooleanproperty_idsinteger[]listing_idsinteger[]userstring (email)Example from the API description (long arrays shortened)
{
"id": 887,
"user": "user@email.com",
"name": "Apartments for sale in Cascais, Oeiras, Lisbon",
"filter": {
"operation": "sale",
"types": [
"apartment",
"studio"
],
"location_ids": [
2942,
1861
],
"conditions": [
"used",
"very-good"
],
"statuses": [
"active",
"reserved"
],
"price_from": 150000,
"price_to": 800000,
"price_per_sqm_from": 2000,
"price_per_sqm_to": 8000,
"bedrooms_from": 1,
"bedrooms_to": 3,
"total_area_from": 30,
"total_area_to": 130,
"construction_year_from": 1950,
"floors": [
"middle",
"top"
],
"views": [
"city"
],
"directions": [
"west",
"south"
],
"characteristics": [
"balcony",
"elevator"
],
"private": false,
"new_development": false,
"has_agency_name": true,
"has_email": false,
"without_agencies": [
"Airbnb",
"Casa.Sapo"
]
}
}400 Bad Request
Type: object.
Show the response shape (1 fields)
errorsobject401 Unauthorized
Type: object.
Show the response shape (1 fields)
detailstring403 Forbidden
Type: object.
Show the response shape (1 fields)
detailstring